<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The method-permission element specifies that one or more security roles are allowed to invoke one or more enterprise bean methods. The method-permission element consists of an optional description, a list of security role names, and a list of method elements.  The security roles used in the method-permission element must be defined in the security-role element of the deployment descriptor, and the methods must be methods defined in the enterprise bean's remote and/or home interfaces.">
<meta name="KeyWords" content="MethodPermission,Class MethodPermission,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;MethodPermission&nbsp;{Java}</b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;method-permission&nbsp;element&nbsp;specifies&nbsp;that&nbsp;one&nbsp;or&nbsp;more&nbsp;security&nbsp;roles&nbsp;are&nbsp;allowed&nbsp;to&nbsp;invoke&nbsp;one&nbsp;or&nbsp;more&nbsp;enterprise&nbsp;bean&nbsp;methods.&nbsp;The&nbsp;method-permission&nbsp;element&nbsp;consists&nbsp;of&nbsp;an&nbsp;optional&nbsp;description,&nbsp;a&nbsp;list&nbsp;of&nbsp;security&nbsp;role&nbsp;names,&nbsp;and&nbsp;a&nbsp;list&nbsp;of&nbsp;method&nbsp;elements.&nbsp;&nbsp;The&nbsp;security&nbsp;roles&nbsp;used&nbsp;in&nbsp;the&nbsp;method-permission&nbsp;element&nbsp;must&nbsp;be&nbsp;defined&nbsp;in&nbsp;the&nbsp;security-role&nbsp;element&nbsp;of&nbsp;the&nbsp;deployment&nbsp;descriptor,&nbsp;and&nbsp;the&nbsp;methods&nbsp;must&nbsp;be&nbsp;methods&nbsp;defined&nbsp;in&nbsp;the&nbsp;enterprise&nbsp;bean's&nbsp;remote&nbsp;and/or&nbsp;home&nbsp;interfaces.</font><BR><BR>
</body>
</html>
